Loading...
Searching...
No Matches
Halide::Internal::Cost Struct Reference

`#include <RegionCosts.h>`

## Public Member Functions

| Cost (int64_t arith, int64_t memory)
| Cost (Expr arith, Expr memory)
| Cost ()=default
bool | defined () const
void | simplify ()

## Public Attributes

Expr | arith
Expr | memory

## Detailed Description

Definition at line 21 of file RegionCosts.h.

## Constructor & Destructor Documentation

## Cost() [1/3]

Halide::Internal::Cost::Cost | ( | int64_t | arith,
|  | int64_t | memory )

inline

Definition at line 27 of file RegionCosts.h.

References arith, and memory.

Referenced by operator<<.

## Cost() [2/3]

Halide::Internal::Cost::Cost | ( | Expr | arith,
|  | Expr | memory )

inline

Definition at line 30 of file RegionCosts.h.

References arith, and memory.

## Cost() [3/3]

Halide::Internal::Cost::Cost | ( |  | ) |

default

## Member Function Documentation

## defined()

bool Halide::Internal::Cost::defined | ( |  | ) | const

inline

Definition at line 35 of file RegionCosts.h.

References arith, and memory.

## simplify()

void Halide::Internal::Cost::simplify | ( |  | ) |

## Member Data Documentation

## arith

Expr Halide::Internal::Cost::arith

Definition at line 23 of file RegionCosts.h.

Referenced by Cost(), Cost(), defined(), and operator<<.

## memory

Expr Halide::Internal::Cost::memory

Definition at line 25 of file RegionCosts.h.

Referenced by Cost(), Cost(), defined(), and operator<<.

The documentation for this struct was generated from the following file:

- src/RegionCosts.h